Bug 163764 - [Web IDL] Support unions in our overload resolution algorithm
Summary: [Web IDL] Support unions in our overload resolution algorithm
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Bindings (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL: https://heycam.github.io/webidl/#es-o...
Keywords:
Depends on: 163767
Blocks: 163792 163795 163816 163859
  Show dependency treegraph
 
Reported: 2016-10-20 16:29 PDT by Chris Dumez
Modified: 2016-10-22 19:18 PDT (History)
6 users (show)

See Also:


Attachments
Patch (21.95 KB, patch)
2016-10-20 21:09 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2016-10-20 16:29:55 PDT
We should support unions in our overload resolution algorithm now that we start using unions.
Comment 1 Chris Dumez 2016-10-20 21:09:02 PDT
Created attachment 292320 [details]
Patch
Comment 2 WebKit Commit Bot 2016-10-21 09:14:55 PDT
Comment on attachment 292320 [details]
Patch

Clearing flags on attachment: 292320

Committed r207674: <http://trac.webkit.org/changeset/207674>
Comment 3 WebKit Commit Bot 2016-10-21 09:15:00 PDT
All reviewed patches have been landed.  Closing bug.